LogitScaleTransformation Class Reference

`#include <LogitScaleEngine.h>`

Inheritance diagram for LogitScaleTransformation:

## Public Member Functions

QwtScaleTransformation * | copy () const
| Create a clone of the transformation. More...
virtual double | invXForm (double x, double s1, double s2, double p1, double p2) const
| LogitScaleTransformation (const ScaleEngine *engine)
virtual double | xForm (double x, double, double, double p1, double p2) const
Public Member Functions inherited from ScaleTransformation
QwtScaleTransformation * | copy () const
| ScaleTransformation (const ScaleEngine *engine)

## Private Member Functions

double | func (double x) const
double | invFunc (double x) const

## Additional Inherited Members

Public Types inherited from ScaleTransformation
enum | Type { Linear, Log10, Ln, Log2, Reciprocal, Probability, Logit }
Protected Member Functions inherited from ScaleTransformation
QwtScaleTransformation * | newScaleTransformation () const
Protected Attributes inherited from ScaleTransformation
const ScaleEngine * | d_engine
| The scale engine that generates the transformation. More...

## Constructor & Destructor Documentation

LogitScaleTransformation::LogitScaleTransformation | ( | const ScaleEngine * | engine | ) |

inline

Referenced by copy().

## Member Function Documentation

QwtScaleTransformation * LogitScaleTransformation::copy | ( |  | ) | const

Create a clone of the transformation.

References ScaleTransformation::d_engine, and LogitScaleTransformation().

double LogitScaleTransformation::func | ( | double | x | ) | const

private

Referenced by invXForm(), and xForm().

double LogitScaleTransformation::invFunc | ( | double | x | ) | const

private

Referenced by invXForm().

double LogitScaleTransformation::invXForm | ( | double | x,
|  | double | s1,
|  | double | s2,
|  | double | p1,
|  | double | p2
| ) |  | const

virtual

Reimplemented from ScaleTransformation.

References func(), and invFunc().

double LogitScaleTransformation::xForm | ( | double | x,
|  | double | s1,
|  | double | s2,
|  | double | p1,
|  | double | p2
| ) |  | const

virtual

Reimplemented from ScaleTransformation.

References func().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/LogitScaleEngine.h
- qtiplot/src/plot2D/LogitScaleEngine.cpp